org.appng.core.controller.handler

## Class MonitoringHandler

- java.lang.Object
- - org.appng.core.controller.handler.MonitoringHandler

- All Implemented Interfaces:
    RequestHandler

      public class MonitoringHandler
      extends Object
      implements RequestHandler

  A `RequestHandler` that exposes some health information for the site.

  Supports the following operations:

  - `/health`
    Shows the `Site`'s status, including its `Application`s and `Properties`.
  - `/health/system`
    Shows the system's properties as returned by `System.getProperties()`.
  - `/health`/environment
    Shows the system's environment as returned by `System.getenv()`.
  - `/health/platform`
    Shows a list of all JAR files used by the platform.
  - `/health/jars`
    Shows a list of all JAR files used by `Site`s `SiteClassLoader`.

Author:
  Matthias Müller
See Also:
  `Platform.Property#MONITORING_PATH`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MonitoringHandler.ApplicationInfo`
    `static class` | `MonitoringHandler.Connection`
    `static class` | `MonitoringHandler.Jar`
    `static class` | `MonitoringHandler.SiteInfo`

  - ### Field Summary

    - ### Fields inherited from interface org.appng.core.controller.handler.RequestHandler

      `FORWARDED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitoringHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(javax.servlet.http.HttpServletRequest servletRequest, javax.servlet.http.HttpServletResponse servletResponse, Environment env, Site site, PathInfo pathInfo)` Handles the given `HttpServletRequest`,

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MonitoringHandler

          public MonitoringHandler()

  - ### Method Detail

    - #### handle

          public void handle(javax.servlet.http.HttpServletRequest servletRequest,
                             javax.servlet.http.HttpServletResponse servletResponse,
                             Environment env,
                             Site site,
                             PathInfo pathInfo)
                      throws javax.servlet.ServletException,
                             IOException

      Description copied from interface: `RequestHandler`
      Handles the given `HttpServletRequest`,
      Specified by:
        `handle` in interface `RequestHandler`
      Parameters:
        `servletRequest` - the current `HttpServletRequest`
        `servletResponse` - the current `HttpServletResponse`
        `env` - the current `Environment`
        `site` - the current `Site`
        `pathInfo` - the current `PathInfo`
      Throws:
        `javax.servlet.ServletException` - if a servlet-specific error occurs
        `IOException` - if a resource could not be found

Copyright © 2011–2023 aiticon GmbH. All rights reserved.